flocs-visual-components
React visual components for Flocs
Last updated 3 years ago by arteffi .
GPL-3.0 · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install flocs-visual-components 
SYNC missed versions from official npm registry.

Flocs-Visual-Components

React visual components for Flocs project.

Install

Install flocs-visual-component package from the npm registry:

npm install --save flocs-visual-components

Next, make sure to include babel-polyfill in your bundled app, to support new ES6 features (such as Object.values) in all browsers (these features are used in this library, so it is really necessary to install and include a polyfill).

Finally, copy library static assets (content of lib/static) to the place where you serve static assets. The assets need to be available under /static/[images|fonts]/[name] url. You can achieve this automatically using, for example, webpack with the following configuration.

var CopyWebpackPlugin = require('copy-webpack-plugin');

module.exports = {
  // ...
  plugins: [
    new CopyWebpackPlugin([
      { from: 'node_modules/flocs-visual-components/lib/static/images'
      , to: 'static/images'
      },
    ]),
    // ...
  ]
};

Usage

You can either use just standalone React presentational components, or you can employ Redux containers communicating via shared application store. To provide flocs components with needed context (store, localization and theme), wrap your app component into FlocsProvider:

<FlocsProvider reducers={{ myApp: myAppReducer }}>
  <MyAppContainer>
    <TaskEditorContainer />
  </MyAppContainer>
</FlocsProvider>

You can make your app reducers respond to actions dispatched by flocs components. You can also access data in the flocs store using provided selector functions.

See more examples.

Current Tags

  • 1.0.20                                ...           latest (3 years ago)

21 Versions

  • 1.0.20                                ...           3 years ago
  • 1.0.19                                ...           3 years ago
  • 1.0.18                                ...           3 years ago
  • 1.0.17                                ...           3 years ago
  • 1.0.16                                ...           3 years ago
  • 1.0.15                                ...           3 years ago
  • 1.0.14                                ...           3 years ago
  • 1.0.13                                ...           3 years ago
  • 1.0.12                                ...           3 years ago
  • 1.0.11                                ...           3 years ago
  • 1.0.10                                ...           3 years ago
  • 1.0.9                                ...           3 years ago
  • 1.0.8                                ...           3 years ago
  • 1.0.7                                ...           3 years ago
  • 1.0.6                                ...           3 years ago
  • 1.0.5                                ...           3 years ago
  • 1.0.4                                ...           3 years ago
  • 1.0.3                                ...           3 years ago
  • 1.0.2                                ...           3 years ago
  • 1.0.1                                ...           3 years ago
  • 1.0.0                                ...           3 years ago
Maintainers (1)
Downloads
Today 0
This Week 0
This Month 0
Last Day 0
Last Week 0
Last Month 1
Dependencies (20)
Dev Dependencies (29)
Dependents (0)
None

Copyright 2014 - 2016 © taobao.org |